//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "AboutDlg.h"
#include "Global.h"
#include "Version.h"
#include "pop3mail.h"
#include "pgpmail.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TAboutBox *AboutBox;
//---------------------------------------------------------------------------
void __fastcall ShowAboutBox(TForm *owner)
{
   AboutBox = new TAboutBox(owner);
   CenterDialog(AboutBox,owner);
   AboutBox->Caption = "About";
   AboutBox->Appname->Caption = AppName.Trim()+" "+ReleaseVer.Trim();
   AboutBox->Copyright->Caption = CopyRight.Trim();
   AboutBox->PluginList->Height = 0;
   AboutBox->PluginList->Top = 41;
   AboutBox->PluginList->Clear();
   if (HasPop3())
   {
      AnsiString libname = GetParam(0,GetPop3AppName()," ");
      AboutBox->PluginList->Lines->Add(libname+" Plugin  "+AnsiString(GetPop3Version()));
      AboutBox->PluginList->Height += 16;
      AboutBox->Copyright->Top += 16;
      AboutBox->OkBtn->Top += 16;
      AboutBox->Height += 16;
   }
   if (HasPgp())
   {
      AnsiString libname = GetParam(0,GetPgpLibName()," ");
      AboutBox->PluginList->Lines->Add(libname+"   Plugin  "+AnsiString(GetPgpLibVersion()));
      AboutBox->PluginList->Height += 16;
      AboutBox->Copyright->Top += 16;
      AboutBox->OkBtn->Top += 16;
      AboutBox->Height += 16;
   }
   MyBeep(MB_OK); AboutBox->ShowModal();
   delete AboutBox;
}
//---------------------------------------------------------------------------
__fastcall TAboutBox::TAboutBox(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
