#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "PopProfDlg.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TAccProfDlg *AccProfDlg;
//---------------------------------------------------------------------------
AnsiString __fastcall NewAcctProfile(TForm *Owner)
{
   AnsiString profdata;
   AccProfDlg = new TAccProfDlg(Owner);
   CenterDialog(AccProfDlg,Owner);
   AccProfDlg->Top += 6;
   AccProfDlg->ActiveControl = AccProfDlg->Account;
   AccProfDlg->SetProfile("");
   AccProfDlg->ShowModal();
   if (AccProfDlg->ModalResult==mrOk)
      profdata = AccProfDlg->GetProfile();
   delete AccProfDlg;
   return profdata;
}
//---------------------------------------------------------------------------
AnsiString __fastcall EditAcctProfile(TForm *Owner, AnsiString &ProfileStr)
{
   AnsiString profdata;
   AccProfDlg = new TAccProfDlg(Owner);
   CenterDialog(AccProfDlg,Owner);
   AccProfDlg->Top += 6;
   //AccProfDlg->Account->Color=clBtnFace;
   //AccProfDlg->Account->ReadOnly = true;
   //AccProfDlg->Account->TabStop = false;
   AccProfDlg->Label1->Caption = "&Account ";
   AccProfDlg->ActiveControl = AccProfDlg->Account;
   AccProfDlg->SetProfile(ProfileStr);
   AccProfDlg->ShowModal();
   if (AccProfDlg->ModalResult==mrOk)
   {
      profdata = AccProfDlg->GetProfile();
   }
   delete AccProfDlg;
   return profdata;
}
//---------------------------------------------------------------------------
__fastcall TAccProfDlg::TAccProfDlg(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAccProfDlg::GetProfile()
{
   AnsiString Y="1",N="0",divider="\255";
   AnsiString profile =
      AnsiString("checked="+(Checked->Checked?Y:N)+divider)+
      AnsiString("account="+Account->Text+divider)+
      AnsiString("password="+Password->Text+divider)+
      AnsiString("remember="+(Remember->Checked?Y:N)+divider)+
      AnsiString("delete="+(Delete->Checked?Y:N)+divider)+
      AnsiString("pgponly="+(PgpOnly->Checked?Y:N)+divider)+
      AnsiString("end=1");
   return profile;
}
//---------------------------------------------------------------------------
void __fastcall TAccProfDlg::SetProfile(AnsiString &ProfileStr)
{
   ProfileStr = ProfileStr.LowerCase();
   AnsiString item,Y="1";
   TStringList *acct = new TStringList();
   int i=0; while ((item=GetParam(i++,ProfileStr,"\255"))!="")
      acct->Add(item);
   Checked->Checked=acct->Values["checked"]==Y;
   Account->Text = acct->Values["account"];
   Password->Text = acct->Values["password"];
   Remember->Checked = acct->Values["remember"]==Y;
   PgpOnly->Checked = acct->Values["pgponly"]==Y;
   Delete->Checked = acct->Values["delete"]==Y;
   profile = GetProfile();
   delete acct;
}
//---------------------------------------------------------------------------
void __fastcall TAccProfDlg::HideTypeClick(TObject *Sender)
{
   Password->PasswordChar = HideType->Checked ? '*' : '\0';
}
//---------------------------------------------------------------------------
void __fastcall TAccProfDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrCancel && profile!=GetProfile())
   {
      switch(MsgBoxHwnd(Handle,
         "The account data has been modified.\nSave your changes?",
         "Confirm",MB_YESNOCANCEL))
      {
         case ID_YES    : ModalResult = mrOk; break;
         case ID_CANCEL : CanClose = false; break;
         case ID_NO     : break;
      }
      return;
   }
   if (ModalResult==mrOk)
   {
      if (Account->Text.IsEmpty() || Account->Text.Pos("@")<2)
      {
         MsgBoxHwnd(Handle,"Valid ACCOUNT field required!",
           "Profile Error",MB_OK
         );
         CanClose = false;
         return;
      }
      if (Remember->Checked && Password->Text.IsEmpty())
      {
         MsgBoxHwnd(Handle,"You have REMEMBER (password) checked, but no PASSWORD!",
           "Profile Error",
            MB_OK
         );
         CanClose = false;
         return;
      }
   }
}
//---------------------------------------------------------------------------
