//---------------------------------------------------------------------------
#ifndef FileWinH
#define FileWinH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "NoteWin.h"
#include "explbtn.hpp"
//---------------------------------------------------------------------------
void __fastcall EditFileText(TStrings *Text, AnsiString &FileName, TForm *Owner=Application->MainForm);
void __fastcall EditTextFile(AnsiString &FileName, TForm *Owner=Application->MainForm);

class TTextFileWin : public TTextWin
{
__published:	// IDE-managed Components
  
  TButton *Cancel;
private:	// User declarations
public:	// User declarations
   AnsiString filename;
   virtual __fastcall TTextFileWin(TComponent* Owner);
   virtual __fastcall TTextFileWin(AnsiString &Filename, TComponent* Owner);
   virtual __fastcall TTextFileWin(TStrings *Txt, AnsiString &Filename, TComponent* Owner);
   virtual void __fastcall SetText(AnsiString &Name, TStrings *Text);
   virtual bool __fastcall CheckSave();
   virtual bool __fastcall SaveAs();
   virtual bool __fastcall Save();
};
//---------------------------------------------------------------------------
extern TTextFileWin *TextFileWin;
//---------------------------------------------------------------------------
#endif
