//---------------------------------------------------------------------------
#ifndef pgpmailH
#define pgpmailH
//---------------------------------------------------------------------------
bool  __fastcall HasPgp();
AnsiString __fastcall PgpDir();
AnsiString __fastcall PgpPublicRing();
AnsiString __fastcall PgpSecretRing();
AnsiString __fastcall PgpRemailRing();

void  __fastcall PgpInit(HINSTANCE HMixLib, HINSTANCE HSSLLib, TForm *MainForm,
   HWND AppHandle);
char* __fastcall PgpSignMessage(char *Message);
char* __fastcall PgpEncryptMessage(char *Message);
char* __fastcall PgpEncryptSignMessage(char *Message);
char* __fastcall GetPgpLibVersion();
char* __fastcall GetPgpLibName();
char* __fastcall PgpGetNewRemailerKeys(char *KeyDoc);
char* __fastcall PgpAddNewRemailerKeys(char *KeyDoc);
char* __fastcall PgpArmorKeysToArmorBlock(char *Keys);
char* __fastcall PgpArmorBlockToArmorKeys(char *Keys);
//void  __fastcall GenerateType1list(char *Keys);

typedef void  __fastcall (*PGPINIT)(HINSTANCE, HINSTANCE, TForm*, HWND);
typedef char* __fastcall (*PGP_SIGNMESSAGE)(char*);
typedef char* __fastcall (*PGP_ENCRYPTMESSAGE)(char*);
typedef char* __fastcall (*PGP_ENCRYPTSIGNMESSAGE)(char*);
typedef char* __fastcall (*PGP_GETNEWKEYS)(char*); // remailer keyring
typedef char* __fastcall (*PGP_ADDNEWKEYS)(char*); // remailer keyring
typedef char* __fastcall (*GET_PGPLIBVERSION)();
typedef char* __fastcall (*GET_PGPLIBNAME)();
// translate pubring.asc from a single large keyblock to individual
// ket-blocks and then reverse the same
typedef char* __fastcall (*PGP_PUTARMORKEYS)(char*); // put individually armored keys
typedef char* __fastcall (*PGP_GETARMORKEYS)(char*); // put back single ascii key-block
//typedef void  __fastcall (*GENERATETYPE1LIST)(char*);
//---------------------------------------------------------------------------
extern HINSTANCE hPgpLib;
#endif
